<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/

include_once('config/config_chucnang.php');
include_once('config/config_extraexp.php');
if ($Use_ExtraEXP != 1) {
	echo "Chức năng không được sử dụng"; 
	exit();
}

if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'extraexp')
	{
		$dayuse = $_POST['dayuse'];
		$pass2 = $_POST['pass2'];
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu Web";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'pass2'    =>  $pass2,
                
                'pagesv'	=>	'sv_char_extraexp',
                'string_login'    =>  $_SESSION['checklogin'],
				'dayuse'    =>  $dayuse,
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vwebmu>',$reponse);
				if ($info[1] == 'OK') {
					$notice = $info[2];
				}
				else $error = $reponse;
			}
		}
	}
}
	
$page_template = "templates/char_manager/extraexp.tpl";
?>